LINKS(1)

NAME
links - lynx-like alternative character mode WWW browser

SYNOPSIS
links [options] URL

DESCRIPTION
links is a text mode WWW browser with ncurses interface, supporting colors, correct table rendering, background downloading, menu driven configuration interface and slim code.

Frames are supported. You can have different file formats associated with external viewers. mailto: and telnet: are supported via external clients.

links can handle local (file://) or remote (http:// or ftp://) URLs.

OPTIONS
Most options can be set in the user interface or config file, so usually you do not need to care about them.

-g  Run Links in graphics mode. If not given, Links will run in text mode. Running in graphics mode means that Links will probe all compiled-in graphics devices and run on the first found. If none found, links will not run in text mode. This option works only if --enable-graphics was given to ./configure.

-mode <parameter>
    Pass a parameter to the graphics driver. On SVGAlib, this is widthxheightxdepth, (where depth is 16, 256, 32K, 64K, 16M or 16M32) and defines the graphics mode, on X the format is widthxheight and defines the window size.

-async-dns <0>/<1>
    Asynchronous DNS resolver on(1)/off(0).

-max-connections <max>
    Maximum number of concurrent connections. (default: 10)

-max-connections-to-host <max>
    Maximum number of concurrent connection to a given host. (default: 2)

-retries <retry>
    Number of retries. (default: 3)

-receive-timeout <sec>
    Timeout on receive. (default: 120)

-unrestartable-receive-timeout <sec>
    Timeout on non restartable connections. (default: 600)

-format-cache-size <num>
    Number of formatted document pages cached. (default: 5)

-memory-cache-size <Kbytes>
    Cache memory in Kilobytes. (default: 1024)

-http-proxy <host:port>
    Host and port number of the HTTP proxy, or blank. (default: blank)

-ftp-proxy <host:port>
    Host and port number of the FTP proxy, or blank. (default: blank)

-download-dir <path>
    Default download directory. (default: actual dir)

-assume-codepage <codepage>
    Use the given codepage when the webpage did not specify its codepage. (default: ISO 8859-1)

-anonymous
    Restrict links so that it can run on an anonymous account. No local file browsing. No downloads. Executing of viewers is allowed, but user can't add or modify entries in association table.

-no-connect
    Runs links as a separate instance - instead of connecting to existing instance.

-version
    Prints the links version number and exit.

-help
    Printf a help screen

NAVIGATION KEYS
The keys you may use while navigating are

PGDN
    page down

Space
    page down

PGUP
    page up

b   page up

B   page up

CursorDOWN
    next link/down (text mode), scroll down (graphics mode)

CursorUP
    prev link/up (text mode), up (graphics mode)

^INS
    copy to clipboard

^C  copy to clipboard (OS/2 only)

INS scroll up (text mode only)

^P  scroll up

DEL scroll down

^N  scroll down

[   scroll left

]   scroll right

HOME
    home

END end of page

CursorRIGHT
    enter link/press button (text mode), scroll right (graphics mode)

ENTER
    enter link/press button

CursorLEFT
    go back (text mode), scroll left (graphics mode)

d   download link (text mode only)

D   download link (text mode only)

/   search in the page

?   search back in the page

n   find next match

N   find next match backwards

f   zoom actual frame

F   zoom actual frame

^R  reload page

g   go to URL

G   edit the current URL and goto the result

s   bookmark manager

S   bookmark manager

q   quit, close window if more windows are open

Q   quit, close window if more windows are open

=   document informations

\   toggle HTML source/rendered view

TAB next frame (text mode only)

ESC menu/escape

F9  menu

F10 file menu

EDITING KEYS
The following keys can be used while editing a line/jumping to a URL:

CursorRIGHT
    move right

CursorLEFT
    move left

HOME
    jump at the beginning

^A  jump at the beginning

END jump at the end

^E  jump at the end

^INS
    copy to clipboard

^B  copy to clipboard

^X  cut to clipboard (text mode only)

^V  paste from clipboard (text mode only)

ENTER
    enter line

BACKSPACE
    delete back character

^H  delete back character

DEL delete character

^D  delete character

^U  delete from beginning of the line

^K  delete to the end of the line

^W  auto complete line

FILES

~/.links/.links.cfg
Per-user configfile, automatically created by
    links.

PLATFORMS
links is known to work on Linux, FreeBSD, Solaris, IRIX, HPUX, Digital Unix, AIX, OS/2 and BeOS. Port for Win32 is in state of beta testing.

BUGS
Can't connect to some FTP servers (Novell, NT). Connection stays in "Request sent" state.

Frames don't work if there's more frames with same name. Turn them off in such case.

You can't upload large files; it takes _lots_ of memory.

You shoudn't press '^Z' when you are in a viewer

Please report any other bugs you find to Mikulas Patocka <mikulas@artax.karlin.mff.cuni.cz>

LICENSE
links is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

AUTHOR
links was written by Mikulas Patocka, Karel 'Clock' Kulhavy, Petr 'Brain' Kulhavy, and Martin 'PerM' Pergel. See file AUTHORS for a list of people contributing to this project.

The homepage of links can be found at http://atrey.karlin.mff.cuni.cz/~clock/twibright/links

This manual page was written by Peter Gervai <grin@tolna.net>, using excerpts from a (yet?) unknown links fan for the Debian GNU/Linux system (but may be used by others). Updated by Karel Kulhavy.

SEE ALSO
lynx(1), w3m(1)